<?php
require_once 'connect.php';

    $id_contabilidade = $_POST['id_contabilidade'];
    $ds_contabilidade = $_POST['ds_contabilidade'];
    $ds_telefone = $_POST['ds_telefone'];
    $ds_email = $_POST['ds_email'];
    $ds_texto = $_POST['ds_texto'];


if(isset($_POST['remover'])){

    $sql_remove = "update erpc_contabilidades set st_ativo = 0 where id = $id_contabilidade";
    mysqli_query($conexao, $sql_remove) or die(mysqli_error($conexao));

}elseif(isset($_POST['adicionar'])){
    
    $sql_clear = "update erpc_contabilidades set st_ativo = 0 where 1";
    mysqli_query($conexao, $sql_clear) or die(mysqli_error($conexao));

    $sql_add = "insert into erpc_contabilidades (ds_contabilidade, ds_telefone, ds_email, ds_msg_email_xml, st_ativo) 
                values ('$ds_contabilidade', '$ds_telefone', '$ds_email', '$ds_texto', 1)";

    
    mysqli_query($conexao, $sql_add) or die(mysqli_error($conexao));

}elseif(isset($_POST['editar'])){
    
    $sql_edit = "update erpc_contabilidades set 
                         ds_contabilidade = '$ds_contabilidade'
                        ,ds_telefone = '$ds_telefone'
                        ,ds_email = '$ds_email'
                        ,ds_msg_email_xml = '$ds_texto'
                    where id = $id_contabilidade";
    mysqli_query($conexao, $sql_edit) or die(mysqli_error($conexao));
}

header("Location: erpc_contabilidades_list.php");

?>